Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsBooking flow
Query availabilitySearch availabilityBookCalendars which are being imported. Useful for syncing bookings with services like Airbnb or booking.com.
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zone | nullTimestamp at which the calendar last received new events
activebooleanWhether the external calendar is active
errortext | nullError message if the calendar could not be synced
event_status_sync"import" | "CONFIRMED" | "TENTATIVE"How to treat incoming events
ical_urltextURL of the iCal feed
last_syncedtimestamp with time zone | nullTimestamp at which the calendar was last synced
nametext | nullName of the calendar
sync_requested_attimestamp with time zoneTimestamp at which a sync was last requested
time_offsetintegerTime offset of the calendar in hours
tldtextTop-level-domain of the calendar's iCal URL
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:27:42.573Z",
"updated_at": "2026-03-12T05:27:42.573Z",
"active": true,
"error": "",
"event_status_sync": "import",
"ical_url": "",
"last_synced": "2026-03-12T05:27:42.573Z",
"name": "",
"sync_requested_at": "2026-03-12T05:27:42.573Z",
"time_offset": 0,
"tld": ""
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone | null>Timestamp at which the calendar last received new events
activeFilter<boolean>Whether the external calendar is active
errorFilter<text | null>Error message if the calendar could not be synced
event_status_syncFilter<"import" | "CONFIRMED" | "TENTATIVE">How to treat incoming events
ical_urlFilter<text>URL of the iCal feed
last_syncedFilter<timestamp with time zone | null>Timestamp at which the calendar was last synced
nameFilter<text | null>Name of the calendar
sync_requested_atFilter<timestamp with time zone>Timestamp at which a sync was last requested
time_offsetFilter<integer>Time offset of the calendar in hours
tldFilter<text>Top-level-domain of the calendar's iCal URL
200A list of external calendars with the selected columns
206Partial Content
GET /external_calendarscurl -X GET "https://api.bookingmood.com/v1/external_calendars?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<ExternalCalendar> | Array<Partial<ExternalCalendar>>201The newly created external calendars with the selected columns
POST /external_calendarscurl -X POST "https://api.bookingmood.com/v1/external_calendars" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone | null>Timestamp at which the calendar last received new events
activeFilter<boolean>Whether the external calendar is active
errorFilter<text | null>Error message if the calendar could not be synced
event_status_syncFilter<"import" | "CONFIRMED" | "TENTATIVE">How to treat incoming events
ical_urlFilter<text>URL of the iCal feed
last_syncedFilter<timestamp with time zone | null>Timestamp at which the calendar was last synced
nameFilter<text | null>Name of the calendar
sync_requested_atFilter<timestamp with time zone>Timestamp at which a sync was last requested
time_offsetFilter<integer>Time offset of the calendar in hours
tldFilter<text>Top-level-domain of the calendar's iCal URL
204The deleted external calendars with the selected columns
DELETE /external_calendarscurl -X DELETE "https://api.bookingmood.com/v1/external_calendars" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone | null>Timestamp at which the calendar last received new events
activeFilter<boolean>Whether the external calendar is active
errorFilter<text | null>Error message if the calendar could not be synced
event_status_syncFilter<"import" | "CONFIRMED" | "TENTATIVE">How to treat incoming events
ical_urlFilter<text>URL of the iCal feed
last_syncedFilter<timestamp with time zone | null>Timestamp at which the calendar was last synced
nameFilter<text | null>Name of the calendar
sync_requested_atFilter<timestamp with time zone>Timestamp at which a sync was last requested
time_offsetFilter<integer>Time offset of the calendar in hours
tldFilter<text>Top-level-domain of the calendar's iCal URL
Partial<ExternalCalendar>204The updated external calendars with the selected columns
PATCH /external_calendarscurl -X PATCH "https://api.bookingmood.com/v1/external_calendars" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'